libnetaddr-ip-perl (4.078+dfsg-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Xavier Guimard ]
  * New upstream release
  * Bump Standards-Version to 3.9.6
  * Update debian/copyright: add configure.*cc section

  [ gregor herrmann ]
  * Mark package as autopkgtest-able.

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 19 Oct 2015 08:32:05 +0200

libnetaddr-ip-perl (4.075+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 12 Jun 2014 18:13:38 +0200

libnetaddr-ip-perl (4.073+dfsg-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of 
    the MIA team.
  * Strip trailing slash from metacpan URLs.

  [ Axel Beckert ]
  * Remove Maximilian Gaß from Uploaders (no more active according
    to himself)
  * Remove trailing blank line

  [ Daniel Lintott ]
  * Imported Upstream version 4.073+dfsg
  * Refresh lite_makefile.patch
  * Add myself to uploaders
  * Update upstream copyright years

 -- Daniel Lintott <daniel@serverb.co.uk>  Mon, 07 Apr 2014 16:34:16 +0100

libnetaddr-ip-perl (4.071+dfsg-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Xavier Guimard ]
  * Imported Upstream version 4.066
  * Bump Standards-Version to 3.9.4
  * Update debian/copyright:
    + encoding to UTF-8
    + add myself and Salvatore

  [ gregor herrmann ]
  * New upstream release 4.071.
  * Update debian/repack.stub.
  * Add copyright/license for debian/repack.stub.
  * Update years of upstream and packaging copyright.
  * Install new About-NetAddr-IP.txt document.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Dec 2013 19:48:37 +0100

libnetaddr-ip-perl (4.062+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Fri, 08 Jun 2012 23:26:56 +0200

libnetaddr-ip-perl (4.061+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 May 2012 20:39:34 +0200

libnetaddr-ip-perl (4.059+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove spelling.patch, applied upstream.
  * Update years of packaging copyright.
  * debian/copyright: update to Copyright-Format 1.0.
  * Bump Standards-Version to 3.9.3 (no changes).
  * Use debhelper 9.20120312 for getting all hardening flags.

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Mar 2012 17:21:38 +0100

libnetaddr-ip-perl (4.058+dfsg-2) unstable; urgency=low

  * Remove Julian Mehnle from Uploaders as per request of the MIA team.

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 Dec 2011 18:32:01 +0100

libnetaddr-ip-perl (4.058+dfsg-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh spelling.patch patch.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Mon, 14 Nov 2011 10:06:17 -0500

libnetaddr-ip-perl (4.056+dfsg-1) unstable; urgency=low

  * Team upload.
  * New upstream release. (Closes: #601601)
  * Update copyright file to DEP5 rev 174.
    + Add /me to Copyright.
    + Update copyright holders/years.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Mon, 07 Nov 2011 02:36:07 -0500

libnetaddr-ip-perl (4.049+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update upstream copyright years and licenses.
  * Refresh lite_makefile.patch.
  * Add libsocket6-perl to Build-Depends and Recommends.
  * Add a patch to fix a spelling mistake.

 -- gregor herrmann <gregoa@debian.org>  Thu, 20 Oct 2011 19:59:45 +0200

libnetaddr-ip-perl (4.048+dfsg-1) unstable; urgency=low

  * Team upload.
  * Imported Upstream version 4.048+dfsg

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 09 Oct 2011 08:22:25 +0200

libnetaddr-ip-perl (4.047+dfsg-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * New upstream release.
  * Update years of packaging copyright.
  * Bump debhelper compatibility level to 8.
  * Refresh lite_makefile.patch.

 -- gregor herrmann <gregoa@debian.org>  Fri, 07 Oct 2011 14:34:38 +0200

libnetaddr-ip-perl (4.044+dfsg-1) unstable; urgency=low

  * New upstream release
  * Raised standards version to 3.9.2

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 19 May 2011 19:45:24 +0100

libnetaddr-ip-perl (4.042+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Wed, 23 Mar 2011 14:13:35 +0000

libnetaddr-ip-perl (4.041+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Wed, 09 Mar 2011 16:54:21 +0000

libnetaddr-ip-perl (4.040+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 21 Feb 2011 15:42:40 +0000

libnetaddr-ip-perl (4.039+dfsg-1) unstable; urgency=low

  * New upstream release
  * Updated copyright

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 19 Feb 2011 15:40:06 +0000

libnetaddr-ip-perl (4.038+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 23 Dec 2010 08:03:54 +0000

libnetaddr-ip-perl (4.037+dfsg-1) unstable; urgency=low

  * New upstream release
  * Removed spelling, autosplit and spamassasin patches as they are applied 
    upstream

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 21 Nov 2010 00:40:25 +0000

libnetaddr-ip-perl (4.035+dfsg-4) unstable; urgency=low

  * Uploading to unstable because:
    - Positive feedack for IPv6 issue patches (cf. #601601)
    - No negative feedback for autosplit/our patch (cf. #517361)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Tue, 16 Nov 2010 20:00:40 +0000

libnetaddr-ip-perl (4.035+dfsg-3) experimental; urgency=low

  * Forwarding patch upstream for further investigation (cf. #517361) 
  * Added patch for spamassassin issues (cf. #601601)
    - Added Noah Meyerhans' test.pl as a test script
    - Integrated patch from paul@city-fan.org
    - Added Steve Huffs test v4-to-v6.t

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 07 Nov 2010 21:08:27 +0000

libnetaddr-ip-perl (4.035+dfsg-2) experimental; urgency=low

  * Experimental fix for our/autosplit incompatibility (cf. #517361)
  * Removed patch file (pod_missing_string.patch) that is not in use
  * Refreshed patch (lite_makefile.patch)  as an additonal README is being
    overwritten in source

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Tue, 01 Nov 2010 19:23:22 +0000

libnetaddr-ip-perl (4.035+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #508775)
  * Tests show that this Closes: #601601.
  * Refreshed and removed patches where fixed upstream, cf. #565563

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 29 Oct 2010 22:08:34 +0100

libnetaddr-ip-perl (4.034+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Tue, 26 Oct 2010 09:31:15 +0100

libnetaddr-ip-perl (4.033+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * Set Standards-Version to 3.9.1.

  [ Nicholas Bamber ]
  * New upstream release
  * Added myself to Uploaders
  * Refreshed copyright
  * Reviewed and forwarded spelling patch
  * Remove Conflicts clause - cannot find libnetaddr-ip-lite-perl
  * Added patch for missing IPv6 string (Closes: #565563)
  * Added patch to stop overwriting Lite/README

  [ gregor herrmann ]
  * Remove README.Debian, which contained hints for pre-lenny versions.

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 15 Oct 2010 09:25:32 +0100

libnetaddr-ip-perl (4.028+dfsg-1) unstable; urgency=low

  [ Ryan Niebur ]
  * New upstream release
  * Add myself to Uploaders
  * Debian Policy 3.8.2
  * Update ryan52's email address

  [ Maximilian Gass ]
  * Add myself to uploaders
  * Simplify debian/rules
  * Bumped Standards-Version to 3.8.3 (removed version on perl
    build-dependency)

  [ Jonathan Yu ]
  * New upstream release (closes: #485050)
  * Standards-Version 3.8.4 (no changes)
  * Use new 3.0 (quilt) source format
  * Add myself to Uploaders and Copyright

  [ gregor herrmann ]
  * debian/copyright: update formatting and years of copyright.
  * Add a patch to fix a spelling mistake.

 -- gregor herrmann <gregoa@debian.org>  Mon, 24 May 2010 17:15:33 +0200

libnetaddr-ip-perl (4.024+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: add get-orig-source target.
  * debian/control: slightly improve short description.

 -- gregor herrmann <gregoa@debian.org>  Sun, 01 Feb 2009 16:50:31 +0100

libnetaddr-ip-perl (4.023+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Jan 2009 23:22:46 +0100

libnetaddr-ip-perl (4.022+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Dec 2008 23:59:27 +0100

libnetaddr-ip-perl (4.021+dfsg-1) unstable; urgency=low

  [ Franck Joncourt ]
  * Replace uversionmangle by dversionmangle in debian/watch.
    + Refreshed repack.pl script.
    + This fixes the following lintian warning:
      http://lintian.debian.org/tags/debian-watch-file-should-dversionmangle\
      -not-uversionmangle.html

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  * New upstream release.
  * Remove patch 10_special-chars-to-utf8.patch, not needed any more. Remove
    quilt framework and debian/README.source.
  * debian/copyright: switch to new format and mention how the +dfsg version
    is created.
  * Don't install upstream READMEs anymore, they are just text versions of the
    POD documentation. Install TODO instead.
  * Set debhelper compatibility level to 7; adapt
    debian/{control,compat,rules}.
  * Add /me to Uploaders.
  * debian/control: mention module name in long description.

 -- gregor herrmann <gregoa@debian.org>  Tue, 16 Dec 2008 17:44:26 +0100

libnetaddr-ip-perl (4.011+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.

  [ Gunnar Wolf ]
  * New upstream release
  * Standards-version -> 3.8.0
  * Changed the wording on debian/copyright so it complies with Debian's
    guidelines (i.e. explicit "Copyright" instead of (c))
  
 -- Gunnar Wolf <gwolf@debian.org>  Sun, 12 Oct 2008 18:50:01 -0500

libnetaddr-ip-perl (4.007+dfsg-2) unstable; urgency=low

  [ Joey Hess ]
  * Fix watch file to deal with mangled version number.

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/watch: use dist-based URL.
  * debian/rules: delete /usr/share/perl5 only if it exists.

  [ Damyan Ivanov ]
  * debian/repack.sh: added to ease stripping of docs/rfc1884.txt
  * debian/watch: use such mangling that thhe package version ends up with
    +dfsg
    + call debian/repack.sh on downloading upstream source
  * debian/rules:
    + move test suite from install to build target
    + use "$@" when touching stamps
    + clean stamps before realclean
    + make install target depend only on install-stamp and that - on
      build-stamp
    + drop unneeded calls to dh_installman and dh_link
  * debian/copyright:
    + use dist-based upstream URL
    + add years of copyright
  * Convert in-diff patches to quilt
    + use UTF-8-encoded chars instead of E<ntilde>
  * Standards-Version: 3.7.3 (no changes)
  * debhelper compatibility level 6
  * add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Wed, 23 Jan 2008 16:26:44 +0200

libnetaddr-ip-perl (4.007+dfsg-1) unstable; urgency=low

  * Repackaged upstream sources without including the non-free RFC 1884
    (Closes: #431090)
  * Included README.Debian warning about requiring an API compatibility
    mode when using with legacy (<3.21) code (taken straight from
    Makefile.PL's output)

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 03 Jul 2007 10:45:18 -0500

libnetaddr-ip-perl (4.007-1) unstable; urgency=low

  [ Julian Mehnle ]
  * New upstream release (closes: #329644).
  * Architecture: any (was: all), as this package now includes XS code.
  * Standards-Version: 3.7.2
  * Build-Depends: libtest-pod-perl
  * Build-Depends: debhelper (was: Build-Depends-Indep:)
  * Raised debhelper compatibility level to 5, adjusted Build-Depends.
  * Updated debian/rules to latest dh-make-perl template.
  * Run tests during package building.
  * Generate perlapi and libc6 dependencies using dh_shlibdeps.
  * Conflicts: libnetaddr-ip-lite-perl, as NetAddr::IP::Lite is now included
    in this package.
  * Updated package description.
  * Updated debian/copyright with additional upstream author and new warranty
    statement.
  * Install all upstream README files and changelogs.
  * Added debian/{compat,watch} files.
  * Minor changes to NetAddr::IP{,::Lite} POD code to correctly represent the
    author names in the generated man-pages.

  [ Gunnar Wolf ]
  * Hijacking module on behalf of the Debian Pkg-perl group (previous
    maintainer MIA)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 28 Jun 2007 11:28:58 -0500

libnetaddr-ip-perl (3.14-2) unstable; urgency=low

  * Changed section to 'perl'

 -- Elie Rosenblum <fnord@debian.org>  Tue, 26 Aug 2003 14:48:25 -0400

libnetaddr-ip-perl (3.14-1) unstable; urgency=low

  * New upstream version
  * Fixed build to happen in binary-indep rather than binary-arch

 -- Elie Rosenblum <fnord@cosanostra.net>  Tue, 26 Aug 2003 07:49:49 -0400

libnetaddr-ip-perl (3.11-1) unstable; urgency=low

  * Included all changes from patch by Ivan Kohler <ivan-debian@420.am>
  * Build binary-indep, not binary-arch (closes: #157491)
  * New upstream version (closes: #142576, #161625)
  * Added maint name to copyright file (closes: #157522)

 -- Elie Rosenblum <fnord@debian.org>  Sun, 22 Sep 2002 13:27:17 -0400

libnetaddr-ip-perl (3.07-1) unstable; urgency=low

  * New upstream version (fixes #142576)

 -- Elie Rosenblum <fnord@debian.org>  Mon, 15 Apr 2002 12:46:09 -0400

libnetaddr-ip-perl (2.24-1) unstable; urgency=low

  * New upstream release fixes potential license problem and adds requested
    functionality.

 -- Elie Rosenblum <fnord@debian.org>  Mon, 27 Aug 2001 20:42:55 -0400

libnetaddr-ip-perl (2.23-1) unstable; urgency=low

  * Initial Release.

 -- Elie Rosenblum <fnord@debian.org>  Fri, 24 Aug 2001 10:01:14 -0400

